Subject: Re: bug#40549: More usability issues:

From: Efraim Flashner <[email-masked]>
Date: Thu, 14 May 2020 11:15:16 +0300

On Fri, Apr 24, 2020 at 10:28:50AM +0200, zimoun wrote:
> On Thu, 23 Apr 2020 at 21:52, Tom via Bug reports for GNU Guix
> <[email-masked]> wrote:
> >
> > To add detail here:
> >
> > Doing `guix package -d 18 -S 17` actually works.
> >
> > This gives me the impression that the order of arguments is relevant to the
> > processing of them.
> 
> It is known and cumbersome: a feature? ;-)
> 
> Other examples:
> 
>   guix package -I -A # does nothing
>   guix package -A -I # list available
> 
> 
> > Another, similar, example is:
> >
> >    guix package -l --profile=a
> >
> > this doesn't work. But the most curious thing is that this does:
> >
> >    guix package --list-installed --profile=a
> 
> It is worse than that.
> 
> --8<---------------cut here---------------start------------->8---
> # OK
>  guix package --list-generations -p /path/to/profile
>  guix package --list-installed -p /path/to/profile
> 
> # KO
>  guix package -l -p /path/to/profile
>  guix package -I -p /path/to/profile
> 
> # OK
>  guix package -p /path/to/profile -l
>  guix package -p /path/to/profile -I
> 
> # KO
>  guix package -l --profile=/path/to/profile
> 
> # Do nothing
>  guix package -I --profile=/path/to/profile
> 
> # OK
>  guix package -l --profile=/path/to/profile -l
>  guix package -I --profile=/path/to/profile -I
> --8<---------------cut here---------------end--------------->8---
> 
> 
> Well, it seems there is a bug. :-)
> 
> Back to the first examples:
> 
> --8<---------------cut here---------------start------------->8---
> # Do something
>  guix package --list-installed -A
> 
> # Do nothing
>  guix package -I -A
> --8<---------------cut here---------------end--------------->8---
> 
> 
> Thanks for reporting.
> 
> All the best,
> simon
> 

To add to this:

$ guix package -p profile1 -p profile2 -I | wc -l
91
$ guix package -p profile2 -p profile1 -I | wc -l
12

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted